<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="page" select="/"/>
<xsl:variable name="layout" select="document('layout.xml')"/>

<xsl:template match="/">
    <xsl:apply-templates select="$layout/html"/>
</xsl:template>

<xsl:template match="insert-head">
    <!-- Get the head values here... -->
	<xsl:apply-templates select="$page/html/head/*"/>
</xsl:template>

<xsl:template match="insert-body">
    <!-- Get the body here -->
	<xsl:apply-templates select="$page/html/body/*"/>
</xsl:template>

<xsl:template match="insert-body-header">
    <!-- Get the body header here -->
	<xsl:apply-templates select="document(@href)/content/body-header/*"/>
</xsl:template>

<xsl:template match="insert-first-part">
    <!-- Get the body 1st part here -->
	<xsl:apply-templates select="document(@href)/content/first-part/*"/>
</xsl:template>

<xsl:template match="insert-second-part">
    <!-- Get the body 2nd part here -->
	<xsl:apply-templates select="document(@href)/content/second-part/*"/>
</xsl:template>

<!-- Identity transformation -->
<xsl:template match="@*|*">
	<xsl:copy>
		<xsl:apply-templates select="@*|node()"/>
	</xsl:copy>
</xsl:template>

</xsl:stylesheet>
